#language: ru

@mutual_settlements

Функционал: 012. mutual_settlements. Инвентаризация ДС

Сценарий: 012.1. mutual_settlements. Создание инвентаризации ДС - 10.04.2021

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.012. Взаиморасчеты"
	Дано я удаляю объекты "Документы.к2ИнвентаризацияНаличныхДенежныхСредств" без контроля ссылок
	И Я начинаю создавать инвентаризацию ДС на "10.04.2021" для организации "Нижегородский МК" с подразделением "Бухгалтерия"
	И в таблице "ДенежныеСредства" я перехожу к строке:
		| 'Валюта' | 'Касса'                           | 'Сумма по учету' | 'Сумма расхождение' |
		| 'RUB'    | 'Основная Касса Нижегородский МК' | '54 800,00'      | '54 800,00'         |
	И в таблице "ДенежныеСредства" в поле с именем 'ДенежныеСредстваСуммаПоФакту' я ввожу текст '55 200,00'
	И в таблице "ДенежныеСредства" я завершаю редактирование строки
	И в поле с именем 'Комментарий' я ввожу текст 'Инвентаризация1004'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "ДатаИнвентаризации" стал равен '10.04.2021'
		И элемент формы с именем "Дата" стал равен '10.04.2021  0:00:00'
		И таблица "ДенежныеСредства" стала равной:
			| 'Касса'                           | 'Сумма по учету' | 'Валюта' | 'Сумма по факту' | 'Сумма расхождение' |
			| 'Основная Касса Нижегородский МК' | '54 800,00'      | 'RUB'    | '55 200,00'      | '-400,00'           |
		И элемент формы с именем "ПоследнийНомерПКО" стал равен '4'
		И элемент формы с именем "ПоследнийНомерРКО" стал равен '4'
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "Кассир" стал равен ''
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'Инвентаризация1004'
		И элемент формы с именем "СуммаПоУчету" стал равен '54 800,00'
		И элемент формы с именем "СуммаПоФакту" стал равен '55 200,00'
	* Записать
		И я нажимаю на кнопку с именем 'ФормаЗаписать'
		Тогда открылось окно 'Инвентаризация наличных ДС * от * [Создан] (не проведен)'
	* Провести
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Инвентаризация наличных ДС * от * [Создан]'
	И Я заканчиваю создавать инвентаризацию ДС

Сценарий: 012.2. mutual_settlements. Проверка печатной формы инвентаризации ДС - 10.04.2021

	И Я проверяю что печатная форма инвентаризации наличных ДС "Инвентаризация1004" равна макету "Инвентаризация1004"

Сценарий: 012.3. mutual_settlements. Создание приходного кассового по инвентаризации ДС - 10.04.2021

	И Я начинаю создавать приходный кассовый ордер по инвентаризации ДС "Инвентаризация1004" на "10.04.2021"
	И в поле с именем 'Комментарий' я ввожу текст 'ПриходныйКассовыйОрдерПоИнвентаризации1004'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Операция" стал равен 'Оприходование по результатам инвентаризации'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "Контрагент" стал равен ''
		И элемент формы с именем "ПодотчетноеЛицо" стал равен ''
		И элемент формы с именем "Инвентаризация" стал равен 'Инвентаризация наличных ДС 0000-000001 от 10.04.2021 [Создан]'
		И элемент формы с именем "ДатаПлатежа" стал равен '10.04.2021'
		И элемент формы с именем "Дата" стал равен '10.04.2021  0:00:00'
		И элемент формы с именем "СуммаДокумента" стал равен '400,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "ОснованиеДляПечати" стал равен ''
		И элемент формы с именем "ПринятоОт" стал равен ''
		И элемент формы с именем "Приложение" стал равен ''
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "Кассир" стал равен 'Администратор'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ПриходныйКассовыйОрдерПоИнвентаризации1004'
	И Я заканчиваю создавать приходный кассовый ордер по инвентаризации ДС

Сценарий: 012.4. mutual_settlements. Проверка движений приходного кассового ордера по инвентаризации

	И Я проверяю движения приходного кассового ордера "ПриходныйКассовыйОрдерПоИнвентаризации1004"

Сценарий: 012.5. mutual_settlements. Проверка печатной формы приходного кассового ордера по инвентаризации

	И Я проверяю что печатная форма приходного кассового ордера "ПриходныйКассовыйОрдерПоИнвентаризации1004" равна макету "ПечатнаяФормаПриходногоКассовогоОрдераПоИнвентаризации"

Сценарий: 012.6. mutual_settlements. Создание инвентаризации ДС - 15.04.2021

	И Я начинаю создавать инвентаризацию ДС на "15.04.2021" для организации "Нижегородский МК" с подразделением "Бухгалтерия"
	И в таблице "ДенежныеСредства" я перехожу к строке:
		| 'Валюта' | 'Касса'                           | 'Сумма по учету' | 'Сумма расхождение' |
		| 'RUB'    | 'Основная Касса Нижегородский МК' | '55 200,00'      | '55 200,00'         |
	И в таблице "ДенежныеСредства" в поле с именем 'ДенежныеСредстваСуммаПоФакту' я ввожу текст '53 800,00'
	И в таблице "ДенежныеСредства" я завершаю редактирование строки
	И в поле с именем 'Комментарий' я ввожу текст 'Инвентаризация1504'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "ДатаИнвентаризации" стал равен '15.04.2021'
		И элемент формы с именем "Дата" стал равен '15.04.2021  0:00:00'
		И таблица "ДенежныеСредства" стала равной:
			| 'Касса'                           | 'Сумма по учету' | 'Валюта' | 'Сумма по факту' | 'Сумма расхождение' |
			| 'Основная Касса Нижегородский МК' | '55 200,00'      | 'RUB'    | '53 800,00'      | '1 400,00'          |
		И элемент формы с именем "ПоследнийНомерПКО" стал равен '5'
		И элемент формы с именем "ПоследнийНомерРКО" стал равен '4'
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "Кассир" стал равен ''
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'Инвентаризация1504'
		И элемент формы с именем "СуммаПоУчету" стал равен '55 200,00'
		И элемент формы с именем "СуммаПоФакту" стал равен '53 800,00'
	И Я заканчиваю создавать инвентаризацию ДС

Сценарий: 012.7. mutual_settlements. Проверка печатной формы инвентаризации ДС - 15.04.2021

	И Я проверяю что печатная форма инвентаризации наличных ДС "Инвентаризация1504" равна макету "Инвентаризация1504"

Сценарий: 012.8. mutual_settlements. Создание расходного кассового по инвентаризации ДС - 15.04.2021

	И Я начинаю создавать расходный кассовый ордер по инвентаризации ДС "Инвентаризация1504" на "15.04.2021"
	И в поле с именем 'Комментарий' я ввожу текст 'РасходныйКассовыйОрдерПоИнвентаризации1504'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Операция" стал равен 'Списание по результатам инвентаризации'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ПодотчетноеЛицо" стал равен ''
		И элемент формы с именем "БанковскийСчет" стал равен ''
		И элемент формы с именем "Контрагент" стал равен ''
		И элемент формы с именем "Инвентаризация" стал равен 'Инвентаризация наличных ДС 0000-000002 от 15.04.2021 [Создан]'
		И элемент формы с именем "ДатаПлатежа" стал равен '15.04.2021  0:00:00'
		И элемент формы с именем "Дата" стал равен '15.04.2021  0:00:00'
		И элемент формы с именем "Сумма" стал равен '1 400,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "ОснованиеДляПечати" стал равен ''
		И элемент формы с именем "Приложение" стал равен ''
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "Кассир" стал равен 'Администратор'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'РасходныйКассовыйОрдерПоИнвентаризации1504'
	И Я заканчиваю создавать расходный кассовый ордер по инвентаризации ДС

Сценарий: 012.9. mutual_settlements. Проверка движений расходного кассового ордера по инвентаризации

	И Я проверяю движения расходного кассового ордера "РасходныйКассовыйОрдерПоИнвентаризации1504"

Сценарий: 012.10. mutual_settlements. Проверка печатной формы расходного кассового ордера по инвентаризации

	И Я проверяю что печатная форма расходного кассового ордера "РасходныйКассовыйОрдерПоИнвентаризации1504" равна макету "ПечатнаяФормаРасходногоКассовогоОрдераПоИнвентаризации"

Сценарий: 012.11. mutual_settlements. Проверка отборов для инвентаризации

	И В командном интерфейсе я выбираю 'Деньги' 'Инвентаризации наличных ДС'
	Тогда открылось окно 'Инвентаризации наличных ДС'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Состояние' | 'Организация'      | 'Подразделение' | 'Ответственный' | 'Комментарий'        |
		| '10.04.2021' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'Инвентаризация1004' |
		| '15.04.2021' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'Инвентаризация1504' |
	* Отбор по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я указываю в диалоге стандартного периода период с "10.04.2021" по "10.04.2021"
		Тогда открылось окно 'Инвентаризации наличных ДС'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Состояние' | 'Организация'      | 'Подразделение' | 'Ответственный' | 'Комментарий'        |
			| '10.04.2021' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'Инвентаризация1004' |
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Инвентаризации наличных ДС'
	* Отбор по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Отбор по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Отдел продаж'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Отбор по кассе
		И из выпадающего списка с именем "_Отбор_ДенежныеСредстваКасса" я выбираю по строке 'Тестовая'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ДенежныеСредстваКасса"
	* Отбор по состоянию
		И из выпадающего списка с именем "_Отбор_Состояние" я выбираю по строке 'Проверки не успешны'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	* Отбор по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Комаров И.О.'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Инвентаризации наличных ДС'

Сценарий: 011.12. mutual_settlements. Очистка отборов для инвентаризации

	И В командном интерфейсе я выбираю 'Деньги' 'Инвентаризации наличных ДС'
	Тогда открылось окно 'Инвентаризации наличных ДС'
	* Очистка отборов по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Инвентаризации наличных ДС'
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_ДенежныеСредстваКасса"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Инвентаризации наличных ДС'